# Uses of Interface
com.sun.jdi.Accessible

Packages that use Accessible
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of Accessible in com.sun.jdi

Subinterfaces of Accessible in com.sun.jdi
Modifier and Type
Interface
Description
`interface`
`ArrayType`
Provides access to the class of an array and the type of its components in the target VM.
`interface`
`ClassType`
A mirror of a class in the target VM.
`interface`
`Field`
A class or instance variable in the target VM.
`interface`
`InterfaceType`
A mirror of an interface in the target VM.
`interface`
`Method`
A static or instance method in the target VM.
`interface`
`ReferenceType`
The type of an object in a target VM.
`interface`
`TypeComponent`
An entity declared within a user defined type (class or interface).